Subject: Re: [PATCH RFC 0/5] netfilter: implement netfilter SYN proxy

From: Patrick McHardy <[email-masked]>
Date: Wed, 7 Aug 2013 23:24:10 +0200

On Wed, Aug 07, 2013 at 11:05:40PM +0200, Hannes Frederic Sowa wrote:
> On Wed, Aug 07, 2013 at 10:59:59PM +0200, Patrick McHardy wrote:
> > On Wed, Aug 07, 2013 at 11:06:06AM -0700, Eric Dumazet wrote:
> > > TCP timestamps are not really used, for various reasons ...
> > > 
> > > Have you taken a look at 
> > > 
> > > <http://lists.freebsd.org/pipermail/freebsd-net/2013-July/035999.html>
> > 
> > No, not yet, will have a look. Not sure what you mean by "TCP timestamps
> > are not really used" though. I might be biased by usually only looking at
> > Linux traffic, but I was under that impression that everyone is using
> > TCP timestamps nowadays?
> 
> We had a thread here on netdev:
> <http://thread.gmane.org/gmane.linux.network/275681/>
> 
> It seems, Windows stopped using tcp timestamps at least in windows 8 by
> default.

I see. Well, that seems to be a general problem with SYN cookies, I guess
in that case the encoding Linux uses should be changed. I'll have a closer
look at the changes proposed in that thread tommorrow.